# NonFungiblePostCondition | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- NonFungiblePostCondition

## Index

### Properties

- assetInfo
- assetName
- conditionCode
- conditionType
- principal
- type

## Properties

### Readonly assetInfo

assetInfo: AssetInfo

- Defined in packages/transactions/src/postcondition.ts:92

Structure that identifies the token type.

### Readonly assetName

assetName: ClarityValue

- Defined in packages/transactions/src/postcondition.ts:94

The Clarity value that names the token instance.

### Readonly conditionCode

conditionCode: NonFungibleConditionCode

- Defined in packages/transactions/src/postcondition.ts:90

### Readonly conditionType

conditionType: NonFungible

- Defined in packages/transactions/src/postcondition.ts:88

### Readonly principal

principal: PostConditionPrincipal

- Defined in packages/transactions/src/postcondition.ts:89

### Readonly type

type: PostCondition

- Defined in packages/transactions/src/postcondition.ts:87

Generated using TypeDoc